startClocks = {}
numClocks = {}
clocks = {}

def clockIn(func):
    startClocks[func] = time.time()
    
def clockOut(func):
    if func not in clocks:
        clocks[func] = 0
        
    clocks[func] += time.time() - startClocks[func]
    if func in numClocks:
        numClocks[func] += 1
    else:
        numClocks[func] = 1
        
def printClocks():
    for key in clocks:
        avg = None
        if numClocks[key] == 0:
            avg = 0
        else:
            avg = float(clocks[key]) / numClocks[key]
        print key + "\t" + str(clocks[key]) + "\t" + str(avg)
        
def clearClocks():
    for key in clocks:
        clocks[key] = 0
        numClocks[key] = 0
        
